binary2decimal {GA} | R Documentation

## Binary encoding of decimal numbers and vice versa.

### Description

Functions for computing binary to decimal conversion of numbers and vice versa.

### Usage

    decimal2binary(x, length)
    binary2decimal(x)

### Arguments

`x` | input value.
`length` | an optional value giving the length of binary string to return.

### Details

`decimal2binary` converts a numerical value (which is forced to be an integer) to a binary representation, i.e. a vector of 0s and 1s. For real numerical values see the example below.

`binary2binary` converts a binary value, i.e. a vector of 0s and 1s, to a decimal representation.

### Author(s)

Luca Scrucca

### See Also

`binary2gray`

### Examples

    # for integer values
    dval <- 12
    (bval <- decimal2binary(dval))
    binary2decimal(bval)

    # for real values
    dval <- 12.456
    # use
    (bval <- decimal2binary(dval*1000))
    binary2decimal(bval)/1000

[Package GA version 3.2 Index]